Total Access Docs
Openapi

List timesheets

GET
/api/v1/time-attendance/timesheets

Authorization

BearerAuth
AuthorizationBearer <token>

JWT access token for REST API endpoints (user-facing apps).

Authorization: Bearer <jwt_access_token>

Tokens expire after 15 minutes. Use the refresh token to obtain a new one.

In: header

Query Parameters

employee_id?integer
date_from?string
Formatdate
date_to?string
Formatdate
status?string

Value in

  • "draft"
  • "submitted"
  • "approved"
  • "rejected"

Header Parameters

X-API-Version?string

Date-based minor version negotiation (e.g. 2026-07-01). If omitted, the latest version is used.

Match^\d{4}-\d{2}-\d{2}$

Response Body

application/json

curl -X GET "https://example.com/api/v1/time-attendance/timesheets"
{  "success": true,  "data": [    {}  ]}